nxt.voting

## Class VotingTransactionType

- java.lang.Object
- - nxt.blockchain.TransactionType
  - - nxt.blockchain.ChildTransactionType
    - - nxt.voting.VotingTransactionType

-     public abstract class VotingTransactionType
      extends ChildTransactionType

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransactionType` | `PHASING_VOTE_CASTING`
    `static TransactionType` | `POLL_CREATION`
    `static TransactionType` | `VOTE_CASTING`

    - ### Fields inherited from class nxt.blockchain.ChildTransactionType

      `TYPE_ACCOUNT_CONTROL, TYPE_ACCOUNT_PROPERTY, TYPE_ALIASES, TYPE_ASSET_EXCHANGE, TYPE_COIN_EXCHANGE, TYPE_DATA, TYPE_DIGITAL_GOODS, TYPE_LIGHT_CONTRACT, TYPE_MESSAGING, TYPE_MONETARY_SYSTEM, TYPE_PAYMENT, TYPE_SHUFFLING, TYPE_VOTING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applyAttachmentUnconfirmed(ChildTransactionImpl transaction, Account senderAccount)`
    `static TransactionType` | `findTransactionType(byte subtype)`
    `byte` | `getType()`
    `boolean` | `isGlobal()`
    `void` | `undoAttachmentUnconfirmed(ChildTransactionImpl transaction, Account senderAccount)`

    - ### Methods inherited from class nxt.blockchain.ChildTransactionType

      `apply, applyAttachment, applyAttachment, applyAttachmentUnconfirmed, applyUnconfirmed, findTransactionType, getBaselineFee, undoAttachmentUnconfirmed, undoUnconfirmed, validateAttachment, validateAttachment, validateId, validateId`

    - ### Methods inherited from class nxt.blockchain.TransactionType

      `canHaveRecipient, getBaselineFeeHeight, getLedgerEvent, getName, getNextFee, getNextFeeHeight, getSubtype, isBlockDuplicate, isDuplicate, isDuplicate, isDuplicate, isPhasable, isPhasingSafe, isPruned, isUnconfirmedDuplicate, mustHaveRecipient, parseAttachment, parseAttachment, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### POLL_CREATION

          public static final TransactionType POLL_CREATION

    - #### VOTE_CASTING

          public static final TransactionType VOTE_CASTING

    - #### PHASING_VOTE_CASTING

          public static final TransactionType PHASING_VOTE_CASTING

  - ### Method Detail

    - #### findTransactionType

          public static TransactionType findTransactionType(byte subtype)

    - #### getType

          public final byte getType()

      Specified by:
        `getType` in class `TransactionType`

    - #### applyAttachmentUnconfirmed

          public final boolean applyAttachmentUnconfirmed(ChildTransactionImpl transaction,
                                                          Account senderAccount)

      Specified by:
        `applyAttachmentUnconfirmed` in class `ChildTransactionType`

    - #### undoAttachmentUnconfirmed

          public final void undoAttachmentUnconfirmed(ChildTransactionImpl transaction,
                                                      Account senderAccount)

      Specified by:
        `undoAttachmentUnconfirmed` in class `ChildTransactionType`

    - #### isGlobal

          public final boolean isGlobal()

      Specified by:
        `isGlobal` in class `TransactionType`